/*
 * V7_0_To_V7_2.java
 *
 * Created on 26 de Setembro de 2006, 11:48
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;


/**
 *
 * @author fpalma
 */
public class V7_0_To_V7_2 extends AbstractUpdate
{

	public V7_0_To_V7_2()
	{
		super(7.0,7.2,"Criar tabela dos processos");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
				new com.evolute.utils.sql.Update( 
					"CREATE TABLE marcacoes_processo "
					+ "( "
					+ "id serial NOT NULL, "
					+ "trabalhador_id int4 NOT NULL, "
					+ "estado char(1) NOT NULL DEFAULT 'a'::bpchar, "
					+ "data_inicio date, "
					+ "data_fim date, "
					+ "CONSTRAINT marcacoes_processo_pkey PRIMARY KEY (id), "
					+ "CONSTRAINT marcacoes_processo_trabalhador_id_fkey FOREIGN KEY (trabalhador_id) "
					+ "REFERENCES trabalhadores (id) MATCH SIMPLE "
					+ "ON UPDATE NO ACTION ON DELETE NO ACTION "
					+ ") "
					+ "WITHOUT OIDS;" );
		executer.executeQuery( update );
	}
	
}
